Skip to main content
`Ctrl`+`K`

# ISLocalToGlobalMappingApply

Takes a list of integers in a local numbering and converts them to the global numbering.

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISLocalToGlobalMappingApply(ISLocalToGlobalMapping mapping, PetscInt N, const PetscInt in[], PetscInt out[])

Not Collective

## Input Parameters

- mapping - the local to global mapping context

- N - number of integers

- in - input indices in local numbering

## Output Parameter

- out - indices in global numbering

## Note

The `in` and `out` array parameters may be identical.

## See Also

Low-level Vector Communication, `ISLocalToGlobalMapping`, `ISLocalToGlobalMappingApplyBlock()`, `ISLocalToGlobalMappingCreate()`, `ISLocalToGlobalMappingDestroy()`, `ISLocalToGlobalMappingApplyIS()`, `AOCreateBasic()`, `AOApplicationToPetsc()`, `AOPetscToApplication()`, `ISGlobalToLocalMappingApply()`

## Level

advanced

## Location

src/vec/is/utils/isltog.c

## Examples

src/vec/is/is/tutorials/ex4.c
src/vec/is/is/tutorials/ex5.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages